Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.facet.core.exception
Class StructuralConstraintViolationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.gmt.modisco.infra.facet.core.exception.ModiscoFacetException
                  org.eclipse.gmt.modisco.infra.facet.core.exception.StructuralConstraintViolationException

All Implemented Interfaces:
  java.io.Serializable

    public class StructuralConstraintViolationException

extends ModiscoFacetException

Author:
  Gregoire Dupe (Mia-Software)
See Also:
  Serialized Form

Constructor Summary
`StructuralConstraintViolationException()`
`StructuralConstraintViolationException(java.lang.String message)`
`StructuralConstraintViolationException(java.lang.String message, java.lang.Throwable cause)`
`StructuralConstraintViolationException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StructuralConstraintViolationException

    public StructuralConstraintViolationException()

### StructuralConstraintViolationException

    public StructuralConstraintViolationException(java.lang.String message)

### StructuralConstraintViolationException

    public StructuralConstraintViolationException(java.lang.Throwable cause)

### StructuralConstraintViolationException

    public StructuralConstraintViolationException(java.lang.String message,
                                                  java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD